/*****************************************************************************/
/*                                                                           */
/* Version:  2.3 3 3    Date:  19/02/2004   File: test_sol.h                     */
/* Author:  Marco Chiarandini                                                */
/* email: machud@intellektik.informatik.tu-darmstadt.de                      */
/*                                                                           */
/*****************************************************************************/

#define TRUE 1
#define FALSE 0

extern int **solution_sets;
extern int *solution_sizes;

extern  long int NUM_COL;
extern  long int MAX_COL;
extern  long int MIN_COL;
extern  long int NUM_EDGES;
extern  long int NUM_NODES;
extern float DENSITY;
extern  long int CONF_EDGES;
extern  long int CONF_NODES;
extern  long int NOT_IN_LIST;
extern  long int SET_SIZE;

extern const char *instance_name;
extern const char *solution_name;
extern int problem;

void usage();
void checkOptions(const char *const program_name, const int argc, char **const argv);
int parse_options (const char *const program_name, const int argc, char **const argv);

char checkConstraints();
void readSolution();

